Bug 245653 - e2fsprogs still has multilib problems
Summary: e2fsprogs still has multilib problems
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: e2fsprogs   
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-25 21:18 UTC by Eric Sandeen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0571
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:14:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0571 normal SHIPPED_LIVE e2fsprogs bug fix update 2007-10-30 23:04:17 UTC

Description Eric Sandeen 2007-06-25 21:18:25 UTC
e2fsprogs does not seem to (always) generate multilib-safe packages.

the specfile does:

make -C po update-po

prior to the build, which regens the po files.  However, regenerating on
different build machines for different arches leads to different timestamps, and
therefore different md5sums, and multilib conflicts.

There is a patch,

e2fsprogs-1.38-no_pottcdate.patch

which tries to use sed to remove the date stamps, but it doesn't seem to catch
this case.  I think we got lucky before and just happened to get the same
timestamp on all arches; maybe it was brew-built on a slow day.  :)

I'll attach the proposed patch, just an extension of the current
e2fsprogs-1.38-no_pottcdate.patch patch.

Comment 1 Eric Sandeen 2007-06-25 21:19:37 UTC
requesting 5.1 acks; can't get other 5.1 bugfixes through the errata process w/o
this, I think (packaging issues that cropped up)

Comment 2 RHEL Product and Program Management 2007-06-25 21:23:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Eric Sandeen 2007-06-25 21:51:18 UTC
In e2fsprogs-1.39-10.el5

Comment 7 errata-xmlrpc 2007-11-07 17:14:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0571.html



Note You need to log in before you can comment on or make changes to this bug.